/* JobAd -> ProductServices override */
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_contractCustomer,
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_invoiceRecipient,
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_subscription,
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_mainProductSubscriptionItem {
    width: 100% !important;
}

.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_contractCustomer div[data-ref='innerCt'],
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_invoiceRecipient div[data-ref='innerCt'],
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_subscription div[data-ref='innerCt'],
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_mainProductSubscriptionItem div[data-ref='innerCt'] {
    width: 100% !important;
}

.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_contractCustomer div[data-ref='innerCt'] div[data-ref="targetEl"],
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_invoiceRecipient div[data-ref='innerCt'] div[data-ref="targetEl"],
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_subscription div[data-ref='innerCt'] div[data-ref="targetEl"],
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_mainProductSubscriptionItem div[data-ref='innerCt'] div[data-ref="targetEl"] {
    width: 100% !important;
    display: flex;
}

.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_contractCustomer div[data-ref='innerCt'] div[data-ref="targetEl"] div.x-field,
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_invoiceRecipient div[data-ref='innerCt'] div[data-ref="targetEl"] div.x-field,
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_subscription div[data-ref='innerCt'] div[data-ref="targetEl"] div.x-field,
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_mainProductSubscriptionItem div[data-ref='innerCt'] div[data-ref="targetEl"] div.x-field {
    width: 85% !important;
    position: relative !important;
}

.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_contractCustomer div[data-ref='innerCt'] div[data-ref="targetEl"] div.x-field div[data-ref='inputEl'],
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_invoiceRecipient div[data-ref='innerCt'] div[data-ref="targetEl"] div.x-field div[data-ref='inputEl'],
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_subscription div[data-ref='innerCt'] div[data-ref="targetEl"] div.x-field div[data-ref='inputEl'],
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_mainProductSubscriptionItem div[data-ref='innerCt'] div[data-ref="targetEl"] div.x-field div[data-ref='inputEl'] {
    width: 100% !important;
}

.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_contractCustomer div[data-ref='innerCt'] div[data-ref="targetEl"] a.x-btn,
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_invoiceRecipient div[data-ref='innerCt'] div[data-ref="targetEl"] a.x-btn,
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_subscription div[data-ref='innerCt'] div[data-ref="targetEl"] a.x-btn,
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_mainProductSubscriptionItem div[data-ref='innerCt'] div[data-ref="targetEl"] a.x-btn {
    position: relative !important;
    left: 0 !important;
    margin-left: 4px !important;
}

.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_topJobRelatedProductsBlock .object_field_type_autocompleteSelect,
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_relatedProductsBlock .object_field_type_autocompleteSelect {
    width: 100% !important;
}

.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_customerCostCenter,
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_additionalInvoiceInfo,
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_customerRuntime {
    width: 100% !important;
    height: auto !important;
}

.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_customerCostCenter textarea[name="customerCostCenter"],
.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_customerRuntime textarea[name="customerRuntime"] {
    min-height: initial !important;
}

.objectlayout_element_ProductServices .objectlayout_element_Layout .object_field_name_additionalInvoiceInfo textarea[name="additionalInvoiceInfo"] {
    min-height: 50px !important;
}
